
package org.mule.modules.applepush.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.modules.applepush.ApplePushCloudConnector;


/**
 * A <code>ApplePushCloudConnectorCapabilitiesAdapter</code> is a wrapper around {@link ApplePushCloudConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class ApplePushCloudConnectorCapabilitiesAdapter
    extends ApplePushCloudConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
